Subject: Thank you

From: Saleh Elmohamed <[email-masked]>
Date: Tue, 9 Feb 1999 14:32:49 -0500 (EST)

Hi David,

It was a pleasure meeting you and Ross yesterday
here in Syracuse. I hope you had a nice trip back
to California. I wish we had more time to discuss
our projects, particularly, the Java-MPI related
stuff.

As I mentioned to you I'll be leaving NPAC for
hopefully a position with industry sometimes
in May. I'd love to join your group or other related
research/development group there at Sun. 
I'll send you a copy of my resume' sometimes 
later this afternoon.

Here are few URLs for some work that might be
of interest. Some I have done by myself and 
others I was part of research groups:

1. Parallel Compiler Runtime Consortium:

http://www.npac.syr.edu/projects/pcrc/

2. Parallel software/hardware for the NHSE:

http://www.nhse.org
http://nhse.npac.syr.edu/hpccsurvey/
http://nhse.npac.syr.edu/hpccgloss/
http://nhse.npac.syr.edu/hpccsurvey/architecture/

3. Java for Computational Science and Engineering:

http://www.javagrande.org
http://www.npac.syr.edu/projects/tutorials/JavaCSE/

4. CD-ROM materials for the US Army Corps of Eng. 
(CEWES):

http://osprey6.npac.syr.edu:8080/

5. Computational Science and Engineering Materials:

http://www.npac.syr.edu/projects/cpsedu/CSEmaterials/

6. Collaborative systems for distance learning, planning,
meeting and scheduling, etc.

http://www.npac.syr.edu/tango/

7. Classes I co-taught in the past 3 years:

http://www.npac.syr.edu/projects/cps606spring98/

http://www.npac.syr.edu/Education/Courses/CPS615/

I hope you find these of some interest.

best regards,
Saleh

ps/ many thanks for that nice lunch.